summaryrefslogtreecommitdiffstats
path: root/distro/tests
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--distro/tests/control1
-rwxr-xr-xdistro/tests/test-pkg-config.sh5
-rwxr-xr-xdistro/tests/test-yanglint.sh5
3 files changed, 11 insertions, 0 deletions
diff --git a/distro/tests/control b/distro/tests/control
new file mode 100644
index 0000000..61b9060
--- /dev/null
+++ b/distro/tests/control
@@ -0,0 +1 @@
+Tests: test-pkg-config.sh test-yanglint.sh
diff --git a/distro/tests/test-pkg-config.sh b/distro/tests/test-pkg-config.sh
new file mode 100755
index 0000000..581e4d6
--- /dev/null
+++ b/distro/tests/test-pkg-config.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -ex
+
+version=`pkg-config --modversion libyang`
+echo "$version" | grep '2\.[0-9.]\+'
diff --git a/distro/tests/test-yanglint.sh b/distro/tests/test-yanglint.sh
new file mode 100755
index 0000000..70bf4b9
--- /dev/null
+++ b/distro/tests/test-yanglint.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -ex
+
+version=`yanglint --version`
+echo "$version" | grep '2\.[0-9.]\+'